aboutsummaryrefslogtreecommitdiff
path: root/share
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-06-02 18:04:58 -0300
committerSilvio Rhatto <rhatto@riseup.net>2017-06-02 18:04:58 -0300
commitb81f64ae48bbab40fea4e489cd84892bb685d4d0 (patch)
treeb30498a52930c0fa8b7de999c0711106bf129af5 /share
parentf343f5fda200f76b59765cb85ae77d692d34dea4 (diff)
downloadhydra-b81f64ae48bbab40fea4e489cd84892bb685d4d0.tar.gz
hydra-b81f64ae48bbab40fea4e489cd84892bb685d4d0.tar.bz2
Adds purge-removed hyractl action
Diffstat (limited to 'share')
-rwxr-xr-xshare/hydractl/purge-removed31
1 files changed, 31 insertions, 0 deletions
diff --git a/share/hydractl/purge-removed b/share/hydractl/purge-removed
new file mode 100755
index 0000000..247ec33
--- /dev/null
+++ b/share/hydractl/purge-removed
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# Purge removed packages.
+# See https://www.debian.org/releases/jessie/amd64/release-notes/ch-upgrading.en.html#nownownow
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533267
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Set sudo config
+if [ "`whoami`" != 'root' ]; then
+ sudo="sudo"
+fi
+
+# Purge uninstalled packages
+$sudo apt-get purge $(dpkg -l | awk '/^rc/ { print $2 }')